[App_rpt-users] errors in compileing sources

Tom Russo tom.km5vy at gmail.com
Tue Mar 1 10:17:08 EST 2011


On Tue, Mar 1, 2011 at 07:43, Jim Duuuude <telesistant at hotmail.com> wrote:
> Looks like youre trying to compile it on some new kernel version.
>
> Yoiu really dont need support for the built-in network interface support
> in Zaptel. If you remove it as a compile flag, I bet it will be perfectly
> happy.

The wctc4xxp module uses some functions that no longer work in newer
kernels.  There's a bug fix in the upstream asterisk svn that could
possibly be backported.  When I was cobbling together the patches for
mantis bug 0000072 (http://ohnosec.org/mantis/view.php?id=72) I
stumbled on the upstream fixes to wctc4xxp in a google search, but
they looked more involved than I had time for, and since I didn't need
wctc4xxp support I didn't bother.

>> From: george at dyb.com
>> To: app_rpt-users at ohnosec.org
>> Date: Tue, 1 Mar 2011 02:37:12 -0600
>> Subject: [App_rpt-users] errors in compileing sources
>>
>> Scratching my head on this, can anyone help me with what to look for that
>> is
>> missing?
>>
>> What is net_device "priv"?
>>
>> Here's the tail end of teh compiler out:
[SNIP]



-- 
Tom Russo    KM5VY   SAR502   DM64ux          http://www.swcp.com/~russo/
Tijeras, NM  QRPL#1592 K2#398  SOC#236 http://kevan.org/brain.cgi?DDTNM
 "The truth will set you free, but first it will piss you off."



More information about the App_rpt-users mailing list